Bug 243368 - textproc/txt2tags: Update to 3.4, fix graphics/qgis and graphics/qgis-ltr with this newest version
Summary: textproc/txt2tags: Update to 3.4, fix graphics/qgis and graphics/qgis-ltr wit...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Loïc Bartoletti
URL: https://github.com/txt2tags/txt2tags/...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-15 07:02 UTC by Loïc Bartoletti
Modified: 2020-01-23 16:03 UTC (History)
2 users (show)

See Also:


Attachments
txt2tags 3.4 (2.00 KB, patch)
2020-01-15 07:02 UTC, Loïc Bartoletti
lbartoletti: maintainer-approval+
Details | Diff
qgis 3.10.1_1 txt2tags (795 bytes, patch)
2020-01-15 07:03 UTC, Loïc Bartoletti
rhurlin: maintainer-approval+
Details | Diff
qgis-ltr 3.4.11_3 txt2tags (825 bytes, patch)
2020-01-15 07:03 UTC, Loïc Bartoletti
rhurlin: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Loïc Bartoletti freebsd_committer 2020-01-15 07:02:34 UTC
Created attachment 210751 [details]
txt2tags 3.4

textproc/txt2tags: Update to 3.4, fix graphics/qgis and graphics/qgis-ltr with this newest version

 * Use python3 only [1]
 * Fix graphics/qgis and graphics/qgis-ltr with txt2tags-3.4 (remove --css-sugar --css-inside) [2][3]

 Changelog:

   https://github.com/txt2tags/txt2tags/blob/v3/CHANGELOG.md

 [1] txt2tags v3 can use python2 too. But, only graphics/qgis* uses it and depends on python3. I want to avoid adding dependencies. And python2 is dead, isn't it? ;)
 [2] https://github.com/txt2tags/txt2tags#feature-differences-between-versions
 [3] https://github.com/qgis/QGIS/issues/33516

QA:

  * portlint: OK (looks fine.)
  * testport: OK (poudriere: 11, 12, 13 / i386, amd64)
Comment 1 Loïc Bartoletti freebsd_committer 2020-01-15 07:03:24 UTC
Created attachment 210752 [details]
qgis 3.10.1_1 txt2tags
Comment 2 Loïc Bartoletti freebsd_committer 2020-01-15 07:03:57 UTC
Created attachment 210753 [details]
qgis-ltr 3.4.11_3 txt2tags
Comment 3 Rainer Hurling freebsd_committer 2020-01-20 14:34:20 UTC
Comment on attachment 210751 [details]
txt2tags 3.4

Thanks, Loïc, I am fine with this.
Comment 4 Rainer Hurling freebsd_committer 2020-01-20 14:35:12 UTC
Comment on attachment 210753 [details]
qgis-ltr 3.4.11_3 txt2tags

Thanks, Loïc, I am fine with this.
Comment 5 commit-hook freebsd_committer 2020-01-23 15:40:45 UTC
A commit references this bug:

Author: lbartoletti
Date: Thu Jan 23 15:40:11 UTC 2020
New revision: 523934
URL: https://svnweb.freebsd.org/changeset/ports/523934

Log:
  textproc/txt2tags: Update to 3.4, fix graphics/qgis and graphics/qgis-ltr with this newest version

      - Use python3 only [1]
      - Fix graphics/qgis and graphics/qgis-ltr with txt2tags-3.4 (remove --css-sugar --css-inside) [2][3]

  Changelog:

      https://github.com/txt2tags/txt2tags/blob/v3/CHANGELOG.md

    [1] txt2tags v3 can use python2 too. But, only graphics/qgis* uses it and depends on python3. I want to avoid adding dependencies. And python2 is dead, isn't it? ;)
    [2] https://github.com/txt2tags/txt2tags#feature-differences-between-versions
    [3] https://github.com/qgis/QGIS/issues/33516

  PR:	243368
  Reviewed by:	tcberner
  Approved by:	Rainer Hurling (qgis maintainter), tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D23188

Changes:
  head/graphics/qgis/Makefile
  head/graphics/qgis-ltr/Makefile
  head/textproc/txt2tags/Makefile
  head/textproc/txt2tags/distinfo